[grass] 01/01: Use dpkg-maintscript-helper to replace directories with symlinks.

Bas Couwenberg sebastic at xs4all.nl
Tue Jan 27 21:00:51 UTC 2015


This is an automated email from the git hooks/post-receive script.

sebastic-guest pushed a commit to branch jessie
in repository grass.

commit 4e3dcb8d9b7fac3261fd14a988844ac708249636
Author: Bas Couwenberg <sebastic at xs4all.nl>
Date:   Tue Jan 27 21:23:02 2015 +0100

    Use dpkg-maintscript-helper to replace directories with symlinks.
---
 debian/changelog          |  7 +++++++
 debian/grass-gui.postinst | 16 ++++++++++++++++
 debian/grass-gui.postrm   | 16 ++++++++++++++++
 debian/grass-gui.preinst  | 16 ++++++++++++++++
 4 files changed, 55 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 5527465..4ee6cfb 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+grass (6.4.4-1+deb8u1) UNRELEASED; urgency=medium
+
+  * Use dpkg-maintscript-helper to replace directories with symlinks.
+    (closes: #776349)
+
+ -- Bas Couwenberg <sebastic at xs4all.nl>  Fri, 28 Nov 2014 23:25:44 +0100
+
 grass (6.4.4-1) unstable; urgency=medium
 
   [ M. Hamish Bowman ]
diff --git a/debian/grass-gui.postinst b/debian/grass-gui.postinst
new file mode 100644
index 0000000..8a39c2d
--- /dev/null
+++ b/debian/grass-gui.postinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Switch directories to symlinks (#776349)
+if dpkg-maintscript-helper supports dir_to_symlink 2>/dev/null; then
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/etc/gui/icons /usr/share/grass64/etc/gui/icons 6.4.4-1+deb8u1~ -- "$@"
+
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/etc/gui/images /usr/share/grass64/etc/gui/images 6.4.4-1+deb8u1~ -- "$@"
+
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/bwidget/images /usr/share/grass64/bwidget/images 6.4.4-1+deb8u1~ -- "$@"
+fi
diff --git a/debian/grass-gui.postrm b/debian/grass-gui.postrm
new file mode 100644
index 0000000..8a39c2d
--- /dev/null
+++ b/debian/grass-gui.postrm
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Switch directories to symlinks (#776349)
+if dpkg-maintscript-helper supports dir_to_symlink 2>/dev/null; then
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/etc/gui/icons /usr/share/grass64/etc/gui/icons 6.4.4-1+deb8u1~ -- "$@"
+
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/etc/gui/images /usr/share/grass64/etc/gui/images 6.4.4-1+deb8u1~ -- "$@"
+
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/bwidget/images /usr/share/grass64/bwidget/images 6.4.4-1+deb8u1~ -- "$@"
+fi
diff --git a/debian/grass-gui.preinst b/debian/grass-gui.preinst
new file mode 100644
index 0000000..8a39c2d
--- /dev/null
+++ b/debian/grass-gui.preinst
@@ -0,0 +1,16 @@
+#!/bin/sh
+set -e
+
+#DEBHELPER#
+
+# Switch directories to symlinks (#776349)
+if dpkg-maintscript-helper supports dir_to_symlink 2>/dev/null; then
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/etc/gui/icons /usr/share/grass64/etc/gui/icons 6.4.4-1+deb8u1~ -- "$@"
+
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/etc/gui/images /usr/share/grass64/etc/gui/images 6.4.4-1+deb8u1~ -- "$@"
+
+  dpkg-maintscript-helper dir_to_symlink \
+    /usr/lib/grass64/bwidget/images /usr/share/grass64/bwidget/images 6.4.4-1+deb8u1~ -- "$@"
+fi

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-grass/grass.git



More information about the Pkg-grass-devel mailing list